"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrgProcessor = void 0;
/* eslint-disable */
var org_to_ast_1 = require("./org-to-ast");
var OrgProcessor = /** @class */ (function () {
    function OrgProcessor(config) {
        if (config === void 0) { config = {}; }
        this.config = config;
        this.extensions = this.config.extensions ? this.config.extensions : [];
    }
    OrgProcessor.prototype.availableExtensions = function () {
        return [
            '.org',
        ];
    };
    OrgProcessor.prototype.processor = function (_ext) {
        return {
            preProcess: function (text, _filePath) {
                return (0, org_to_ast_1.parse)(text);
            },
            postProcess: function (messages, filePath) {
                return {
                    messages: messages,
                    filePath: filePath ? filePath : '<org>',
                };
            },
        };
    };
    return OrgProcessor;
}());
exports.OrgProcessor = OrgProcessor;
